Application: gvSIG desktop - gvSIG bugs #949
The [x] buttom doesn't work properly finishing edition of a shp
08/03/2012 12:53 PM - Vicent Domenech

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category: Vector editing

Target version: 2.0.0-devel-2052

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2049 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

Open gvSIG

Click New in View of Project manager

Click Add layer

Click Add

Select file name (e.g. http://downloads.gvsig.org/download/geodata/vector/SHP2D/Alicante Cultivo ICV_SHP2d.zip)
Click Open

Click ok

Right click on the layer in Toc and Start edition

Click on move tool and change the position of any polygon

Right click on the layer in ToC and Finish edition

Click [x]

The last step (click [x]) should cancel the option 'Finish edition' and we should be able to continue editing our shapefile, but after click
[x] it is like the option 'Finish editing without saving changes'

History

#1 - 08/10/2012 11:33 AM - Manuel Madrid

- Target version set to 2.0.0-rc1

#2 - 08/13/2012 10:54 AM - Joaquin del Cerro Murciano
- Assignee set to Juan Lucas Dominguez

#3 - 08/22/2012 08:25 AM - Juan Lucas Dominguez
- Status changed from New to In progress

#4 - 08/22/2012 09:12 AM - Juan Lucas Dominguez
- Status changed from In progress to Fixed

gvsig-desktop:r38773

Fixed. Changed behavior for non-decision (return value is -1 in Swing dialog).

#5 - 08/30/2012 02:15 PM - Joaquin del Cerro Murciano
http://downloads.gvsig.org/download/geodata/vector/SHP2D/Alicante_Cultivo_ICV_SHP2d.zip

- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2052
#6 - 09/06/2012 10:45 AM - Vicent Domenech

- Status changed from Fixed to Closed

Closed with gvSIG build 2052
